package Reldb.RelUserCode;

import org.reldb.rel.v0.types.*;
import org.reldb.rel.v0.types.builtin.*;
import org.reldb.rel.v0.types.userdefined.*;
import org.reldb.rel.v0.values.*;
import org.reldb.rel.v0.vm.Context;

public class op_SUBSTRING__CHARACTER_INTEGER {
	private static final ValueCharacter do_SUBSTRING(Context context, ValueCharacter s, ValueInteger index) {
		
		// Substring, 0 based
			return ValueCharacter.select(context.getGenerator(), s.stringValue().substring((int)index.longValue()));
	}

	public static final void execute(Context context) {
		ValueInteger p1 = (ValueInteger)context.pop();
		ValueCharacter p0 = (ValueCharacter)context.pop();
		context.push(do_SUBSTRING(context, p0, p1));
	}
}